%define anolis_release 1
%global modname lxml

Name:           python-%{modname}
Version:        5.3.0
Release:        %{anolis_release}%{?dist}
Summary:        XML processing library combining libxml2/libxslt with the ElementTree API

# The lxml project is licensed under BSD
# Some code is derived from ElementTree and cElementTree
# thus using the MIT-like elementtree license
# .xsl schematron files are under the MIT and zlib license
License:        BSD and MIT and zlib
URL:            https://github.com/lxml/lxml
Source0:        https://github.com/lxml/lxml/archive/refs/tags/%{modname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel

%global _description \
lxml is a Pythonic, mature binding for the libxml2 and libxslt libraries. It\
provides safe and convenient access to these libraries using the ElementTree It\
extends the ElementTree API significantly to offer support for XPath, RelaxNG,\
XML Schema, XSLT, C14N and much more.To contact the project, go to the project\
home page < or see our bug tracker at case you want to use the current ...

%description %{_description}

%package -n     python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname} %{_description}

Python 3 version.

%package -n     python3-%{modname}-doc
Summary:        Doc files for python3-%{modname}
Requires:       python3-%{modname} = %{version}-%{release}
BuildArch:      noarch

%description -n     python3-%{modname}-doc
Doc files for python3-%{modname}.

%prep
%autosetup -n %{modname}-%{modname}-%{version} -p1
# Remove pregenerated Cython C sources
find -type f -name '*.c' -print -delete

%build
%py3_build

%install
%py3_install
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
make test

%files -n python3-%{modname}
%license LICENSES.txt doc/licenses/BSD.txt doc/licenses/elementtree.txt
%{python3_sitearch}/%{modname}/
%{python3_sitearch}/%{modname}-%{version}-py3.11.egg-info/

%files -n     python3-%{modname}-doc
%doc README.rst src/lxml/isoschematron/resources/xsl/iso-schematron-xslt1/readme.txt

%changelog
* Thu Apr 17 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.3.0-1
- Update to 5.3.0 to fix build err with Cython 3

* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.9.2-3
- Rebuild with python3.11

* Tue Nov  7 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 4.9.2-2
- fix build error for python-lxml

* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.9.2-1
- update to version 4.9.2

* Tue Jul 12 2022 happy_orange <songnannan@linux.alibaba.com> - 4.8.0-1
- Init pcakage from upstream
